# Summary

- [About](./about/index.md)
   - [History](./about/history.md)
   - [About This Handbook](./about/about-this-handbook.md)
   - [InfraDocs](./about/infradocs.md)
- [Installation](./installation/index.md)
   - [Live Installers](./installation/live-images/index.md)
      - [Prepare Installation Media](./installation/live-images/prep.md)
      - [Partitioning Notes](./installation/live-images/partitions.md)
      - [Installation Guide](./installation/live-images/guide.md)
   - [Advanced Installation Guides](./installation/guides/index.md)
      - [Installation via chroot
         (x86/x86_64/aarch64)](./installation/guides/chroot.md)
      - [Full Disk Encryption](./installation/guides/fde.md)
      - [Root on ZFS](./installation/guides/zfs.md)
      - [ARM Devices](./installation/guides/arm-devices/index.md)
         - [Supported Platforms](./installation/guides/arm-devices/platforms.md)
   - [musl](./installation/musl.md)
- [Configuration](./config/index.md)
   - [Package Documentation](./config/package-documentation/index.md)
      - [Manual Pages](./config/package-documentation/man.md)
   - [Firmware](./config/firmware.md)
   - [Locales and Translations](./config/locales.md)
   - [Users and Groups](./config/users-and-groups.md)
   - [Services and Daemons - runit](./config/services/index.md)
      - [Per-User Services](./config/services/user-services.md)
      - [Logging](./config/services/logging.md)
   - [rc.conf, rc.local and rc.shutdown](./config/rc-files.md)
   - [Cron](./config/cron.md)
   - [Solid State Drives](./config/ssd.md)
   - [Security](./config/security/index.md)
      - [AppArmor](./config/security/apparmor.md)
   - [Date and Time](./config/date-time.md)
   - [Kernel](./config/kernel.md)
   - [Power Management](./config/power-management.md)
   - [Network](./config/network/index.md)
      - [Firewalls](./config/network/firewalls.md)
      - [wpa_supplicant](./config/network/wpa_supplicant.md)
      - [IWD](./config/network/iwd.md)
      - [NetworkManager](./config/network/networkmanager.md)
      - [ConnMan](./config/network/connman.md)
   - [Network Filesystems](./config/network-filesystems.md)
   - [Session and Seat Management](./config/session-management.md)
   - [Graphical Session](./config/graphical-session/index.md)
      - [Graphics Drivers](./config/graphical-session/graphics-drivers/index.md)
         - [AMD or ATI](./config/graphical-session/graphics-drivers/amd.md)
         - [Intel](./config/graphical-session/graphics-drivers/intel.md)
         - [NVIDIA](./config/graphical-session/graphics-drivers/nvidia.md)
         - [NVIDIA
            Optimus](./config/graphical-session/graphics-drivers/optimus.md)
      - [Xorg](./config/graphical-session/xorg.md)
      - [Wayland](./config/graphical-session/wayland.md)
      - [Fonts](./config/graphical-session/fonts.md)
      - [Icons](./config/graphical-session/icons.md)
      - [XDG Desktop Portals](./config/graphical-session/portals.md)
      - [GNOME](./config/graphical-session/gnome.md)
      - [KDE](./config/graphical-session/kde.md)
   - [Multimedia](./config/media/index.md)
      - [ALSA](./config/media/alsa.md)
      - [PipeWire](./config/media/pipewire.md)
      - [PulseAudio](./config/media/pulseaudio.md)
   - [Bluetooth](./config/bluetooth.md)
   - [TeX Live](./config/texlive.md)
   - [External Applications](./config/external-applications.md)
   - [Printing](./config/print/index.md)
   - [Containers and Virtual Machines](./config/containers-and-vms/index.md)
      - [Chroots and Containers](./config/containers-and-vms/chroot.md)
      - [libvirt](./config/containers-and-vms/libvirt.md)
      - [LXC](./config/containers-and-vms/lxc.md)
   - [OpenPGP](./config/openpgp.md)
   - [PHP](./config/php.md)
- [XBPS Package Manager](./xbps/index.md)
   - [Advanced Usage](./xbps/advanced-usage.md)
   - [Repositories](./xbps/repositories/index.md)
      - [Mirrors](./xbps/repositories/mirrors/index.md)
         - [Changing Mirrors](./xbps/repositories/mirrors/changing.md)
         - [Using Tor Mirrors](./xbps/repositories/mirrors/tor.md)
      - [Restricted Packages](./xbps/repositories/restricted.md)
      - [Custom Repositories](./xbps/repositories/custom.md)
      - [Signing Repositories](./xbps/repositories/signing.md)
   - [Troubleshooting XBPS](./xbps/troubleshooting/index.md)
      - [Common Issues](./xbps/troubleshooting/common-issues.md)
      - [Static XBPS](./xbps/troubleshooting/static.md)
- [Contributing](./contributing/index.md)
   - [Contributing To void-docs](./contributing/void-docs/index.md)
